ig.module(
    'game.entities.rock'
)
.requires(
    'game.entities.base'
)
.defines(function () {
    EntityRock = EntityBase.extend({
        collides: ig.Entity.COLLIDES.NEVER,
        
        type: ig.Entity.TYPE.B,
        
        zIndex: 20,
        
        frameOffset: 40, // Frame offset for defining animations
        
        what: 'rock',
        
        init: function (x, y, settings) {
            this.parent(x, y, settings);
            
            if (ig.game.setCellEntityXY) {
                ig.game.setCellEntityXY(this, this.pos.x, this.pos.y);
            }
        },
        
        createAnimations: function () {
            this.addAnim('idle', 1, [Math.floor(Math.random() * 3)]);
        },
        
        update: function () {
            this.parent();
        }
    });
});