ig.module(
    'game.extensions.constants'
)
.defines(function () {
    ig.settings = {
        pScale: 1, // Hard pixel scaling in tile/sprite graphics themselves
        width: 240,
        height: 160,
        sprite: 16
    };
    
    ig.settings.cols = ig.settings.width / ig.settings.sprite;
    ig.settings.rows = ig.settings.height / ig.settings.sprite;
    
    ig.newGame = function () {
        ig.stage = 'instructions';
        ig.badFossils = 0;
        ig.imperfectFossils = 0;
    };
    
    ig.newLevel = function (level) {
        ig.stage = 'play';
        ig.game.freeze = false;
        ig.badFossils = 0;
        ig.imperfectFossils = 0;
        ig.game.currentLevel = level;
        ig.game.loadLevel(ig.game.levels[ig.game.currentLevel]);
    };
    
    ig.newGame();
});